import { get, post } from '@/http/index'

//查询所有三元组
export const getERList = async (data) => {
  return await get('/kgqa/relation/getAllTriples', data)
}

//查询数据库中目前已经有的关系
export const getAllRelationClass = async () => {
  return await get('/kgqa/relation/getAllRelationClass')
}

// 新增关系
export const addRelation = async (data) => {
  return await post('/kgqa/relation/Add', data)
}

//修改关系
export const updateRelation = async (data) => {
  return await post('/kgqa/relation/Update', data)
}

//删除关系
export const deleteRelation = async (data) => {
  return await post('/kgqa/relation/Delete', data)
}
